import { IgrNumericYAxis } from "./igr-numeric-y-axis";
import { PercentChangeYAxis } from "./PercentChangeYAxis";
/**
 * A horizontal axis that uses a DateTime scale.
*
* You can use the `IgxPercentChangeYAxisComponent` show percentage values.
*
* ```html
* <igx-data-chart
*     [dataSource]="data">
*     <igx-percent-change-y-axis
* 		#yAxis>
*     </igx-percent-change-y-axis>
* </igx-data-chart>
* ```
*
* ```ts
* let yAxis = new IgxPercentChangeYAxisComponent();
* this.chart.axes.add(yAxis);
* ```
*/
export class IgrPercentChangeYAxis extends IgrNumericYAxis {
    constructor(props) {
        super(props);
    }
    createImplementation() {
        return new PercentChangeYAxis();
    }
    get i() {
        return this._implementation;
    }
}
